Skip to main content
`Ctrl`+`K`

# PetscViewerCheckWritable

Check whether the viewer can be written to, generates an error if not

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerCheckWritable(PetscViewer viewer)

Collective

## Input Parameter

- viewer - the `PetscViewer` context

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`, `PetscViewerWritable()`, `PetscViewerCheckReadable()`, `PetscViewerCreate()`, `PetscViewerFileSetMode()`, `PetscViewerFileSetType()`

## Level

intermediate

## Location

src/sys/classes/viewer/interface/view.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages